Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231754 (perl-Class-Factory) - Review Request: perl-Class-Factory - Base class for dynamic factory classes
Summary: Review Request: perl-Class-Factory - Base class for dynamic factory classes
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-Class-Factory
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL: http://search.cpan.org/dist/Class-Fac...
Whiteboard:
: 232611 (view as bug list)
Depends On:
Blocks: perl-Workflow
TreeView+ depends on / blocked
 
Reported: 2007-03-11 07:36 UTC by Chris Weyl
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-19 15:25:03 UTC
panemade: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2007-03-11 07:36:43 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Class-Factory-1.05-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Class-Factory.spec

Description:
This is a simple module that factory classes can use to generate new types
of objects on the fly, providing a consistent interface to common groups
of objects.

Comment 1 Parag AN(पराग) 2007-03-12 07:30:36 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
26f71de57a277e53922f637dc0854bb1  Class-Factory-1.05.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/factory....ok
All tests successful.
Files=1, Tests=33,  0 wallclock secs ( 0.04 cusr +  0.01 csys =  0.05 CPU)

APPROVED.


Comment 2 Parag AN(पराग) 2007-03-12 07:37:18 UTC
For F7 rpm you should add in SPEC
%if "%fedora" >= "7"
BuildRequires:  perl-devel
%endif

Comment 3 Ralf Corsepius 2007-03-12 07:44:07 UTC
(In reply to comment #2)
> For F7 rpm you should add in SPEC
> %if "%fedora" >= "7"
> BuildRequires:  perl-devel
> %endif

This isn't cooked yet.

The correct and portable wrt to this package would be to list all 
perl(...) modules as BR.

In most cases this will be 
BuildRequires: perl(ExtUtils::MakeMaker)

Comment 4 Parag AN(पराग) 2007-03-12 09:03:45 UTC
Okey. 
So I think Reporter Can either import package as it is now or wait for final
conclusion on perl-devel issue and then import it.



Comment 5 Chris Weyl 2007-03-16 18:03:47 UTC
(In reply to comment #3)
> This isn't cooked yet.
> 
> The correct and portable wrt to this package would be to list all 
> perl(...) modules as BR.
> 
> In most cases this will be 
> BuildRequires: perl(ExtUtils::MakeMaker)

FWIW, this is the approach I intend to make if the split isn't rolled back.

Comment 6 Chris Weyl 2007-03-16 18:04:18 UTC
New Package CVS Request
=======================
Package Name: perl-Class-Factory
Short Description: Base class for dynamic factory classes
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 7 Chris Weyl 2007-03-17 02:10:04 UTC
*** Bug 232611 has been marked as a duplicate of this bug. ***

Comment 8 Chris Weyl 2007-03-19 15:25:03 UTC
Branched, imported and building...  Thanks for the review! :)


Note You need to log in before you can comment on or make changes to this bug.